library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternSphTheta

class description - source file - inheritance tree (.pdf)

## class TGeoPatternSphTheta : public TGeoPatternFinder

| Inheritance Chart:
`TObject`
| <- | `TGeoPatternFinder`
| <- | `TGeoPatternSphTheta` |

        public:

                               TGeoPatternSphTheta()
                               TGeoPatternSphTheta(TGeoVolume* vol, Int_t ndivisions)
                               TGeoPatternSphTheta(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                               TGeoPatternSphTheta(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                               TGeoPatternSphTheta(const TGeoPatternSphTheta&)
                       virtual ~TGeoPatternSphTheta()
                  virtual void cd(Int_t idiv)
                static TClass* Class()
             virtual TGeoNode* FindNode(Double_t* point)
               virtual TClass* IsA() const
          TGeoPatternSphTheta& operator=(const TGeoPatternSphTheta&)
                  virtual void SavePrimitive(ofstream& out, Option_t* option)
                  virtual void ShowMembers(TMemberInspector& insp, char* parent)
                  virtual void Streamer(TBuffer& b)
                          void StreamerNVirtual(TBuffer& b)

### Data Members

## Class Description

TGeoPatternSphTheta()

     Default constructor

TGeoPatternSphTheta(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor
     compute step, start, end

TGeoPatternSphTheta(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternSphTheta(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternSphTheta()

     Destructor

TGeoNode* FindNode(Double_t * /*point*/)

     find the node containing the query point

void SavePrimitive(ofstream &out, Option_t * /*option*/)

     Save a primitive as a C++ statement(s) on output stream "out".

### Inline Functions

                            void cd(Int_t idiv)
                         TClass* Class()
                         TClass* IsA() const
                            void ShowMembers(TMemberInspector& insp, char* parent)
                            void Streamer(TBuffer& b)
                            void StreamerNVirtual(TBuffer& b)
             TGeoPatternSphTheta TGeoPatternSphTheta(const TGeoPatternSphTheta&)
            TGeoPatternSphTheta& operator=(const TGeoPatternSphTheta&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.12 2005/02/28 20:52:43 brun Exp $